Package org.eclipse.compare.structuremergeviewer

# Interface IStructureComparator

All Known Implementing Classes:
  `DocumentRangeNode`, `ResourceNode`, `StructureRootNode`

public interface IStructureComparator
Interface used to compare hierarchical structures. It is used by the differencing engine.

Clients typically implement this interface in an adaptor class which wrappers the objects to be compared.

See Also:
  - `ResourceNode`
  - `Differencer`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object other)`
Returns whether some other object is "equal to" this one with respect to a structural comparison.
`Object[]`
`getChildren()`
Returns an iterator for all children of this object or `null` if there are no children.

## Method Details

### getChildren

Object[] getChildren()
Returns an iterator for all children of this object or `null` if there are no children.

Returns:
  an array with all children of this object, or an empty array if there are no children

### equals

boolean equals(Object other)
Returns whether some other object is "equal to" this one with respect to a structural comparison. For example, when comparing Java class methods, `equals` would return `true` if two methods have the same signature (the argument names and the method body might differ).

Overrides:
  `equals` in class `Object`
Parameters:
  `other` - the reference object with which to compare
Returns:
  `true` if this object is the same as the other argument; `false` otherwise
See Also:
  - `Object.equals(java.lang.Object)`